Skip to main content

Promote User

Once promoted the user will have the 'digitanium_admin' role tagged and the corresponding role permissions.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

PUT https://{tenantId}.{hostname}/digitanium/v4/promoteuser/{username}

HTTP request URL for SHIFT​

PUT https://{hostname}/auth/realms/{tenantId}/v3_user/{username}/promote
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "User promoted successfully",
"status": "Success",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200SuccessUser promoted successfully
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist